mosoodocs
简体中文API Reference

读取 Thread 摘要

返回当前 Thread 摘要、最近一次 Run 和链接。

GET/threads/{threadId}

返回当前 Thread 摘要、最近一次 Run 和链接。

Authorization

publicApiBearer
AuthorizationBearer <token>

使用 Authorization: Bearer mst_...。API token 用于识别账号,不携带 scope。

In: header

Path Parameters

threadId*string

create thread 返回的 Thread ID。v1 ID 是不带前缀的 ULID。

Match^[0-7][0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{25}$
Formatulid

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/threads/01J00000000000000000000009"
{  "links": {    "thread": "string"  },  "run": {    "completedAt": "2019-08-24T14:15:22Z",    "createdAt": "2019-08-24T14:15:22Z",    "error": {      "code": "string",      "message": "string",      "retryable": true    },    "finalOutput": {      "text": "string"    },    "id": "01ARZ3NDEKTSV4RRFFQ69G5FAV",    "startedAt": "2019-08-24T14:15:22Z",    "status": "queued",    "trigger": "user_prompt",    "updatedAt": "2019-08-24T14:15:22Z"  },  "thread": {    "agent_id": "01ARZ3NDEKTSV4RRFFQ69G5FAV",    "attributed_user": {      "id": "01ARZ3NDEKTSV4RRFFQ69G5FAV"    },    "client_external_ref": "string",    "created_at": "2019-08-24T14:15:22Z",    "created_by": {      "id": "01ARZ3NDEKTSV4RRFFQ69G5FAV",      "kind": "access_token"    },    "id": "01ARZ3NDEKTSV4RRFFQ69G5FAV",    "kind": "pet",    "last_run_id": "01ARZ3NDEKTSV4RRFFQ69G5FAV",    "source": "api",    "status": "IDLE",    "title": "string",    "updated_at": "2019-08-24T14:15:22Z"  }}
{  "error": {    "code": "agent_not_published",    "message": "string"  }}
{  "error": {    "code": "agent_not_published",    "message": "string"  }}
{  "error": {    "code": "agent_not_published",    "message": "string"  }}
{  "error": {    "code": "agent_not_published",    "message": "string"  }}
{  "error": {    "code": "agent_not_published",    "message": "string"  }}
{  "error": {    "code": "agent_not_published",    "message": "string"  }}
{  "error": {    "code": "agent_not_published",    "message": "string"  }}